package com.gyee.frame.model.custom;

import java.util.Date;

public class SingleAnalysisVo implements java.io.Serializable {

    /**
     * @Fields serialVersionUID : TODO
     */


    private static final long serialVersionUID = 1L;
    // Fields

    private String id;
    //风机编号
    private String windturbineid;
	//风机名称
	private String windturbineName;
    //风场编号
    private String windPowerStationId;
    //风场名称
    private String windPowerStationName;
    //发电量
    private Double fdl;
    //上网电量
    private Double swdl;
    //购网电量
    private Double gwdl;
    //风速
    private Double fs;
    //故障损失
    private Double gzss;
    //检修损失
    private Double jxss;
    //限电损失
    private Double xdss;
    //性能发损失
    private Double xnss;
    //受累损失
    private Double slss;
    //理论发电量
    private Double llfdl;
    //故障小时
    private Double gzxs;
    //检修小时
    private Double jxxs;
    //停机小时
    private Double tjxs;
    //中断小时
    private Double zdxs;
    //运行小时
    private Double yxxs;
    //利用小时
    private Double lyxs;
	//设备可利用率
	private Double sbklyl;
    //等效可利用系数
    private Double dxklyxs;
    //日历小时
    private Double rlxs;
    //小风切入
    private Double xfqr;
    //功率一致性系数
    private Double glyzxxs;
	//有效风时速
    private Double yxfss;
	//小风切入率合格率
    private Double xfqrhgl;
    //风机容量
	private Double fjrl;
	//静风频率
	private Double jfpl;
	//日期
	private Date recorddate;

	public Date getRecorddate() {
		return recorddate;
	}

	public void setRecorddate(Date recorddate) {
		this.recorddate = recorddate;
	}

	public Double getJfpl() {
		return jfpl;
	}

	public void setJfpl(Double jfpl) {
		this.jfpl = jfpl;
	}

	public Double getXfqrhgl() {
		return xfqrhgl;
	}

	public Double getFjrl() {
		return fjrl;
	}

	public void setFjrl(Double fjrl) {
		this.fjrl = fjrl;
	}

	public String getWindturbineName() {
		return windturbineName;
	}

	public void setWindturbineName(String windturbineName) {
		this.windturbineName = windturbineName;
	}

	public void setXfqrhgl(Double xfqrhgl) {
		this.xfqrhgl = xfqrhgl;
	}

	public Double getYxfss() {
		return yxfss;
	}

	public void setYxfss(Double yxfss) {
		this.yxfss = yxfss;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getWindturbineid() {
		return windturbineid;
	}

	public void setWindturbineid(String windturbineid) {
		this.windturbineid = windturbineid;
	}

	public String getWindPowerStationId() {
		return windPowerStationId;
	}

	public void setWindPowerStationId(String windPowerStationId) {
		this.windPowerStationId = windPowerStationId;
	}

	public String getWindPowerStationName() {
		return windPowerStationName;
	}

	public void setWindPowerStationName(String windPowerStationName) {
		this.windPowerStationName = windPowerStationName;
	}

	public Double getFdl() {
		return fdl;
	}

	public void setFdl(Double fdl) {
		this.fdl = fdl;
	}

	public Double getSwdl() {
		return swdl;
	}

	public void setSwdl(Double swdl) {
		this.swdl = swdl;
	}

	public Double getGwdl() {
		return gwdl;
	}

	public void setGwdl(Double gwdl) {
		this.gwdl = gwdl;
	}

	public Double getFs() {
		return fs;
	}

	public void setFs(Double fs) {
		this.fs = fs;
	}


	public Double getGzss() {
		return gzss;
	}

	public void setGzss(Double gzss) {
		this.gzss = gzss;
	}

	public Double getJxss() {
		return jxss;
	}

	public void setJxss(Double jxss) {
		this.jxss = jxss;
	}

	public Double getXdss() {
		return xdss;
	}

	public void setXdss(Double xdss) {
		this.xdss = xdss;
	}

	public Double getXnss() {
		return xnss;
	}

	public void setXnss(Double xnss) {
		this.xnss = xnss;
	}

	public Double getSlss() {
		return slss;
	}

	public void setSlss(Double slss) {
		this.slss = slss;
	}

	public Double getLlfdl() {
		return llfdl;
	}

	public void setLlfdl(Double llfdl) {
		this.llfdl = llfdl;
	}

	public Double getGzxs() {
		return gzxs;
	}

	public void setGzxs(Double gzxs) {
		this.gzxs = gzxs;
	}

	public Double getJxxs() {
		return jxxs;
	}

	public void setJxxs(Double jxxs) {
		this.jxxs = jxxs;
	}

	public Double getTjxs() {
		return tjxs;
	}

	public void setTjxs(Double tjxs) {
		this.tjxs = tjxs;
	}

	public Double getZdxs() {
		return zdxs;
	}

	public void setZdxs(Double zdxs) {
		this.zdxs = zdxs;
	}

	public Double getYxxs() {
		return yxxs;
	}

	public void setYxxs(Double yxxs) {
		this.yxxs = yxxs;
	}

	public Double getLyxs() {
		return lyxs;
	}

	public void setLyxs(Double lyxs) {
		this.lyxs = lyxs;
	}

	public Double getSbklyl() {
		return sbklyl;
	}

	public void setSbklyl(Double sbklyl) {
		this.sbklyl = sbklyl;
	}

	public Double getDxklyxs() {
		return dxklyxs;
	}

	public void setDxklyxs(Double dxklyxs) {
		this.dxklyxs = dxklyxs;
	}

	public Double getRlxs() {
		return rlxs;
	}

	public void setRlxs(Double rlxs) {
		this.rlxs = rlxs;
	}

	public Double getXfqr() {
		return xfqr;
	}

	public void setXfqr(Double xfqr) {
		this.xfqr = xfqr;
	}

	public Double getGlyzxxs() {
		return glyzxxs;
	}

	public void setGlyzxxs(Double glyzxxs) {
		this.glyzxxs = glyzxxs;
	}
}
